Summary:	Battery monitor plugin for the Xfce panel
Name:		xfce4-battery-plugin
Version:	0.5.0
Release:	%mkrel 7
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-battery-plugin
Source0:	%{name}-%{version}.tar.bz2
Patch0:		02_fix-2.6.21.patch
Patch1:         03_lower-acpi-polling.patch
Patch2:         04_use-sysfs.patch
Patch3:		05_fix-2.6.24.patch
Requires:	xfce4-panel >= 4.4.2
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	libxfcegui4-devel >= 4.4.2
BuildRequires:	perl(XML::Parser)
Obsoletes:	xfce-battery-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Battery monitor panel plugin for the Xfce Desktop Environment.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#rm $RPM_BUILD_ROOT%{_libdir}/xfce4/panel-plugins/*.a
rm -f %{buildroot}%{_iconsdir}/hicolor/icon-theme.cache

%find_lang %{name}

%post
%update_icon_cahe hicolor

%postun
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*
%{_iconsdir}/hicolor/*/devices/*


%changelog
* Sun Feb 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-7mdv2008.0
+ Revision: 161855
- Patch0: fixes against kernel-2.6.21 and above
  Patch3: fixes against kernel-2.6.24

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.0-6mdv2008.1
+ Revision: 116032
- Add two patches for lower acpi and us sysfs if available

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-5mdv2008.1
+ Revision: 110098
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- use upstream name

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-3mdv2008.0
+ Revision: 33205
- add macros to %%post and %%postun
- spec file clean

